Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotifyFilter::MappingConstraintInfo Struct Reference

Helper structure used to represent a mapping constraint, its property value and the ID assigned to it in a MappingFilter. More...

`import "CosNotifyFilter.idl";`

Collaboration diagram for CosNotifyFilter::MappingConstraintInfo:

[legend]
List of all members.

## Public Attributes
ConstraintExp | constraint_expression
ConstraintID | constraint_id
any | value

## Detailed Description

Helper structure used to represent a mapping constraint, its property value and the ID assigned to it in a MappingFilter.

## Member Data Documentation

ConstraintExp CosNotifyFilter::MappingConstraintInfo::constraint_expression

ConstraintID CosNotifyFilter::MappingConstraintInfo::constraint_id

any CosNotifyFilter::MappingConstraintInfo::value

The documentation for this struct was generated from the following file:

- CosNotifyFilter.idl